// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from rcss3d_agent_msgs:msg/Accelerometer.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "rcss3d_agent_msgs/msg/accelerometer.h"


#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__ACCELEROMETER__STRUCT_H_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__ACCELEROMETER__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'name'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/Accelerometer in the package rcss3d_agent_msgs.
/**
  * The proper acceleration it experiences relative to free fall. As a consequence an accelerometer
  * at rest relative to the Earth's surface will indicate approximately 1g (9.81m/s^2) upwards. To
  * obtain the acceleration due to motion with respect to the earth, this gravity offset should be
  * subtracted.
 */
typedef struct rcss3d_agent_msgs__msg__Accelerometer
{
  /// The name of the body containing the accelerometer
  rosidl_runtime_c__String name;
  /// Acceleration along the x-axis in m/s2
  float x;
  /// Acceleration along the y-axis in m/s2
  float y;
  /// Acceleration along the z-axis in m/s2
  float z;
} rcss3d_agent_msgs__msg__Accelerometer;

// Struct for a sequence of rcss3d_agent_msgs__msg__Accelerometer.
typedef struct rcss3d_agent_msgs__msg__Accelerometer__Sequence
{
  rcss3d_agent_msgs__msg__Accelerometer * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} rcss3d_agent_msgs__msg__Accelerometer__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__ACCELEROMETER__STRUCT_H_
