// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from rcss3d_agent_msgs:msg/ForceResistance.idl
// generated code does not contain a copyright notice

#include "rcss3d_agent_msgs/msg/detail/force_resistance__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_rcss3d_agent_msgs
const rosidl_type_hash_t *
rcss3d_agent_msgs__msg__ForceResistance__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0xad, 0x58, 0x08, 0x2a, 0x1a, 0x24, 0xc8, 0xd8,
      0xa4, 0x9e, 0xc5, 0x92, 0x57, 0xaa, 0xe0, 0x80,
      0x12, 0xa3, 0xb9, 0x81, 0x6c, 0x75, 0x25, 0x32,
      0x64, 0xa3, 0x25, 0x7d, 0x24, 0xe1, 0x81, 0x11,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char rcss3d_agent_msgs__msg__ForceResistance__TYPE_NAME[] = "rcss3d_agent_msgs/msg/ForceResistance";

// Define type names, field names, and default values
static char rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__name[] = "name";
static char rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__px[] = "px";
static char rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__py[] = "py";
static char rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__pz[] = "pz";
static char rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__fx[] = "fx";
static char rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__fy[] = "fy";
static char rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__fz[] = "fz";

static rosidl_runtime_c__type_description__Field rcss3d_agent_msgs__msg__ForceResistance__FIELDS[] = {
  {
    {rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__name, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__px, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__py, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__pz, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__fx, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__fy, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__ForceResistance__FIELD_NAME__fz, 2, 2},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
rcss3d_agent_msgs__msg__ForceResistance__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {rcss3d_agent_msgs__msg__ForceResistance__TYPE_NAME, 37, 37},
      {rcss3d_agent_msgs__msg__ForceResistance__FIELDS, 7, 7},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# The force that acts on a body. [px, py, pz] describes the point of origin relative to the body\n"
  "# itself and [fx, fy, fz] describes the resulting force on this point. The two vectors are just\n"
  "# an approximation about the real applied force. The point of origin is calculated as weighted\n"
  "# average of all contact points to which the force is applied, while the force vector represents\n"
  "# the total force applied to all of these contact points. The information to a force resistance\n"
  "# perceptor is just sent in case of a present collision of the corresponding body with another\n"
  "# simulation object. If there is no force applied, the message of this perceptor is omitted.\n"
  "\n"
  "string name  # The name of the body, to which the force resistance perceptor belongs\n"
  "float32 px  # The local x coordinate of the origin of the applied force in meters\n"
  "float32 py  # The local y coordinate of the origin of the applied force in meters\n"
  "float32 pz  # The local z coordinate of the origin of the applied force in meters\n"
  "float32 fx  # The x component of the force vector in newton (kg m/s2)\n"
  "float32 fy  # The y component of the force vector in newton (kg m/s2)\n"
  "float32 fz  # The z component of the force vector in newton (kg m/s2)";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
rcss3d_agent_msgs__msg__ForceResistance__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {rcss3d_agent_msgs__msg__ForceResistance__TYPE_NAME, 37, 37},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 1210, 1210},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
rcss3d_agent_msgs__msg__ForceResistance__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *rcss3d_agent_msgs__msg__ForceResistance__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
