// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from rcss3d_agent_msgs:msg/Hear.idl
// generated code does not contain a copyright notice

#include "rcss3d_agent_msgs/msg/detail/hear__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_rcss3d_agent_msgs
const rosidl_type_hash_t *
rcss3d_agent_msgs__msg__Hear__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x31, 0x15, 0xde, 0x29, 0x4f, 0x61, 0xe9, 0xf4,
      0x41, 0xac, 0x53, 0x3a, 0xd5, 0xfb, 0x8e, 0x8c,
      0x32, 0x18, 0x8a, 0xc3, 0x91, 0x33, 0x0a, 0x11,
      0x08, 0xbd, 0x92, 0xe9, 0x48, 0x04, 0xcd, 0xbd,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char rcss3d_agent_msgs__msg__Hear__TYPE_NAME[] = "rcss3d_agent_msgs/msg/Hear";

// Define type names, field names, and default values
static char rcss3d_agent_msgs__msg__Hear__FIELD_NAME__team[] = "team";
static char rcss3d_agent_msgs__msg__Hear__FIELD_NAME__time[] = "time";
static char rcss3d_agent_msgs__msg__Hear__FIELD_NAME__self[] = "self";
static char rcss3d_agent_msgs__msg__Hear__FIELD_NAME__direction[] = "direction";
static char rcss3d_agent_msgs__msg__Hear__FIELD_NAME__message[] = "message";

static rosidl_runtime_c__type_description__Field rcss3d_agent_msgs__msg__Hear__FIELDS[] = {
  {
    {rcss3d_agent_msgs__msg__Hear__FIELD_NAME__team, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__Hear__FIELD_NAME__time, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__Hear__FIELD_NAME__self, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_BOOLEAN,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__Hear__FIELD_NAME__direction, 9, 9},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT_BOUNDED_SEQUENCE,
      1,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__Hear__FIELD_NAME__message, 7, 7},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
rcss3d_agent_msgs__msg__Hear__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {rcss3d_agent_msgs__msg__Hear__TYPE_NAME, 26, 26},
      {rcss3d_agent_msgs__msg__Hear__FIELDS, 5, 5},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Agent processes are not allowed to communicate with each other directly, but agents may exchange\n"
  "# messages via the simulation server. For this purpose agents are equipped with the so-called hear\n"
  "# perceptor, which serves as an aural sensor and receives messages shouted by other players.\n"
  "#\n"
  "# See restrictions: https://gitlab.com/robocup-sim/SimSpark/-/wikis/Perceptors#restrictions\n"
  "\n"
  "string team  # The team of the player who sent the message\n"
  "float32 time  # The simulation time at which the given message was heard in seconds.\n"
  "bool self  # Whether the player is hearing their own words.\n"
  "float32[<=1] direction  # Direction of heard message, if the message wasn't the player's own words.\n"
  "                        # Field has zero size if the \"self\" field is true.\n"
  "string message  # Up to 20 characters, which may be taken from the ASCII printing character subset\n"
  "                # [0x20, 0x7E] except the white space character and the normal brackets ( and )";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
rcss3d_agent_msgs__msg__Hear__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {rcss3d_agent_msgs__msg__Hear__TYPE_NAME, 26, 26},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 959, 959},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
rcss3d_agent_msgs__msg__Hear__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *rcss3d_agent_msgs__msg__Hear__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
