// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from rcss3d_agent_msgs:msg/UniversalJointVel.idl
// generated code does not contain a copyright notice

#include "rcss3d_agent_msgs/msg/detail/universal_joint_vel__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_rcss3d_agent_msgs
const rosidl_type_hash_t *
rcss3d_agent_msgs__msg__UniversalJointVel__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x2d, 0x8e, 0xb7, 0x16, 0x07, 0x17, 0x62, 0x0f,
      0x29, 0xdf, 0x7b, 0x95, 0xf9, 0x7a, 0xa1, 0x27,
      0xe7, 0xe7, 0x46, 0x13, 0x4e, 0x15, 0xe3, 0xc8,
      0x4b, 0x23, 0xe8, 0x9b, 0x34, 0xb5, 0xca, 0xc6,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char rcss3d_agent_msgs__msg__UniversalJointVel__TYPE_NAME[] = "rcss3d_agent_msgs/msg/UniversalJointVel";

// Define type names, field names, and default values
static char rcss3d_agent_msgs__msg__UniversalJointVel__FIELD_NAME__name[] = "name";
static char rcss3d_agent_msgs__msg__UniversalJointVel__FIELD_NAME__ax1[] = "ax1";
static char rcss3d_agent_msgs__msg__UniversalJointVel__FIELD_NAME__ax2[] = "ax2";

static rosidl_runtime_c__type_description__Field rcss3d_agent_msgs__msg__UniversalJointVel__FIELDS[] = {
  {
    {rcss3d_agent_msgs__msg__UniversalJointVel__FIELD_NAME__name, 4, 4},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__UniversalJointVel__FIELD_NAME__ax1, 3, 3},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {rcss3d_agent_msgs__msg__UniversalJointVel__FIELD_NAME__ax2, 3, 3},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
rcss3d_agent_msgs__msg__UniversalJointVel__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {rcss3d_agent_msgs__msg__UniversalJointVel__TYPE_NAME, 39, 39},
      {rcss3d_agent_msgs__msg__UniversalJointVel__FIELDS, 3, 3},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Effector for all axis with a two degrees of freedom. The first parameter is the name of the axis.\n"
  "# The second and third parameters contain the change in angle of the two joints. The order of the\n"
  "# joints is the same as in the name.\n"
  "\n"
  "string name  # The name of the corresponding hinge joint\n"
  "float32 ax1  # The angular velocity of the first axis in radians per second\n"
  "float32 ax2  # The angular velocity of the second axis in radians per second";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
rcss3d_agent_msgs__msg__UniversalJointVel__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {rcss3d_agent_msgs__msg__UniversalJointVel__TYPE_NAME, 39, 39},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 445, 445},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
rcss3d_agent_msgs__msg__UniversalJointVel__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *rcss3d_agent_msgs__msg__UniversalJointVel__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
